E-MailRelay

Public Member Functions | List of all members
G::MapFile::Error Struct Reference

Exception class for G::MapFile. More...

`#include <gmapfile.h>`

Inheritance diagram for G::MapFile::Error:

## Public Member Functions
| Exception (const char *what)
| Constructor. More...
| Exception (const std::string &what)
| Constructor. More...
| Exception (const char *what, const std::string &more)
| Constructor. More...
| Exception (const std::string &what, const std::string &more)
| Constructor. More...
| Exception (const char *what, const std::string &more1, const std::string &more2)
| Constructor. More...
| Exception (const std::string &what, const std::string &more1, const std::string &more2)
| Constructor. More...
| Exception (const char *what, const std::string &more1, const std::string &more2, const std::string &more3)
| Constructor. More...
| Exception (const std::string &what, const std::string &more1, const std::string &more2, const std::string &more3)
| Constructor. More...
Public Member Functions inherited from G::Exception
| Exception (const char *what)
| Constructor. More...
| Exception (const std::string &what)
| Constructor. More...
| Exception (const char *what, const std::string &more)
| Constructor. More...
| Exception (const std::string &what, const std::string &more)
| Constructor. More...
| Exception (const char *what, const std::string &more1, const std::string &more2)
| Constructor. More...
| Exception (const std::string &what, const std::string &more1, const std::string &more2)
| Constructor. More...
| Exception (const char *what, const std::string &more1, const std::string &more2, const std::string &more3)
| Constructor. More...
| Exception (const std::string &what, const std::string &more1, const std::string &more2, const std::string &more3)
| Constructor. More...

## Detailed Description

Exception class for G::MapFile.

Definition at line 59 of file gmapfile.h.

## Member Function Documentation

## ◆ Exception() [1/8]

G::Exception::Exception | ( | const char * | what | ) |
| explicit

Constructor.

Definition at line 47 of file gexception.cpp.

## ◆ Exception() [2/8]

G::Exception::Exception | ( | const char * | what,
|  | const std::string & | more
| ) |  |

Constructor.

Definition at line 53 of file gexception.cpp.

## ◆ Exception() [3/8]

G::Exception::Exception | ( | const char * | what,
|  | const std::string & | more1,
|  | const std::string & | more2
| ) |  |

Constructor.

Definition at line 59 of file gexception.cpp.

## ◆ Exception() [4/8]

G::Exception::Exception | ( | const char * | what,
|  | const std::string & | more1,
|  | const std::string & | more2,
|  | const std::string & | more3
| ) |  |

Constructor.

Definition at line 65 of file gexception.cpp.

## ◆ Exception() [5/8]

G::Exception::Exception | ( | const std::string & | what | ) |
| explicit

Constructor.

Definition at line 50 of file gexception.cpp.

## ◆ Exception() [6/8]

G::Exception::Exception | ( | const std::string & | what,
|  | const std::string & | more
| ) |  |

Constructor.

Definition at line 56 of file gexception.cpp.

## ◆ Exception() [7/8]

G::Exception::Exception | ( | const std::string & | what,
|  | const std::string & | more1,
|  | const std::string & | more2
| ) |  |

Constructor.

Definition at line 62 of file gexception.cpp.

## ◆ Exception() [8/8]

G::Exception::Exception | ( | const std::string & | what,
|  | const std::string & | more1,
|  | const std::string & | more2,
|  | const std::string & | more3
| ) |  |

Constructor.

Definition at line 68 of file gexception.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gmapfile.h